Keyword

New K2 item on PHP 8.0

  • Zoran Hajtl
  • Zoran Hajtl's Avatar Topic Author
  • Offline
  • New Member
More
2 weeks 4 days ago #180331 by Zoran Hajtl
New K2 item on PHP 8.0 was created by Zoran Hajtl
Running K2 under PHP 8.02 throws the following error when trying to save an item:

0 strtoupper(): Argument #1 ($string) must be of type string, array given

Despite the display of this error, the article will be correctly published on the site.
I installed K2 v2.10.4 (dev) but the problem remained.

Regards,
Zoran
Attachments:

Please Log in or Create an account to join the conversation.

More
2 weeks 1 day ago #180337 by Hans De Wit
Replied by Hans De Wit on topic New K2 item on PHP 8.0
Try to install verion 2.11.0
Works without errors for me

Please Log in or Create an account to join the conversation.

  • Zoran Hajtl
  • Zoran Hajtl's Avatar Topic Author
  • Offline
  • New Member
More
1 week 6 days ago #180342 by Zoran Hajtl
Replied by Zoran Hajtl on topic New K2 item on PHP 8.0
Please can you give me the link. I can only find version 2.10.4 on the site.

Please Log in or Create an account to join the conversation.

More
3 days 9 minutes ago #180377 by Dejan Bojovic
Replied by Dejan Bojovic on topic New K2 item on PHP 8.0

Please Log in or Create an account to join the conversation.

  • Zoran Hajtl
  • Zoran Hajtl's Avatar Topic Author
  • Offline
  • New Member
More
2 days 16 hours ago #180378 by Zoran Hajtl
Replied by Zoran Hajtl on topic New K2 item on PHP 8.0
Unfortunately, the problem remains. And with 2.11.0 it reports the same error.

Please Log in or Create an account to join the conversation.

More
2 days 13 hours ago #180379 by Dejan Bojovic
Replied by Dejan Bojovic on topic New K2 item on PHP 8.0
PHP 8.0.23-1.1.1
K2 2.11.0

Everything works OK for me. I only have a problem with JA K2 filter and PHP 8

Please Log in or Create an account to join the conversation.

More
1 day 1 hour ago #180380 by Mark
Replied by Mark on topic New K2 item on PHP 8.0
Hello. Look at the server logs. Maybe some plugin is not enabled. I had this.

Please Log in or Create an account to join the conversation.


Powered by Kunena Forum